This Drupal module allows you to send events to Google Analytics 4 directly from the backend. It provides seamless integration with GA4, enabling you to track user interactions and other relevant events without relying solely on frontend tracking. By sending events from the backend, you can ensure more accurate and reliable data collection, even when users have disabled JavaScript or are using ad blockers. For now, there is only the "Purchase" event implemented after placing an order (Commerce module).

### Post-Installation
You need to specify "Measurement ID" and "API Secret" to start sending purchase events from the server to Google Analytics 4.

1. The **Measurement ID** is a unique identifier that corresponds to the web stream that you want to send data to. You can find this ID in the GA4 interface under _Admin > Data Streams > Web stream > Measurement ID_.
2. The **API Secret** is generated in the Google Analytics UI. To create a new secret, navigate to _Admin > Data Streams > choose your stream > Measurement Protocol > Create_.

### Supported Events
- Purchase event

### Extra Links
- [Measurement Protocol](https://developers.google.com/analytics/devguides/collection/protocol/ga4)

### Additional info
Module uses Order Number (and Order ID as fallback) as transaction ID.